* {
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
header, footer {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
    color: white;
    height: 5rem;
}
header > h1, footer > h4 { text-align: center; }
nav { background-color: #337ab7; flex: 0 0 15rem;}
article { min-height: calc(100vh - 11rem); }
img {
    border: 1px solid black;
    max-width: 100%;
    max-height: 50%;
}
footer + img {
    position: absolute;
    top: 7rem;
    left: 50%;
    transform: translateX(-50% + 15rem);
    height:8rem;
    border: dashed;
}
video { width: 90%; max-height: 90%; }

.item-frame {
    display: inline-block;
    width: 15rem;
    height: 15rem;
    padding: 1rem;
    margin: 1rem;
    background-color: #337ab7;
    border-radius: 10px;
    text-align: center;
}
.item-frame-full {
    width: 50%;
    height: 50%;
}
.fancy-button {
    width: 100%;
    border: none;
    border-radius: 10px;
    color: white;
    background-color: black;
    font-size: 1rem;
    font-weight: bold;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-style: italic;
    padding: 0.5rem;
}
nav .fancy-button { margin: 1rem; width: 86%; }
.item-frame:first-of-type, .item-frame:last-of-type { background-color: #b2cce3; }
.item-frame:nth-of-type(2), .item-frame:nth-last-of-type(2) { background-color: #76a4cc; }
.item-frame.item-frame-full {
    margin-top: 3rem;
    width: 30rem;
    height: fit-content;
    padding: 4.5rem;
    background-color: darkgoldenrod;
}
.item-frame.item-frame-full h2 {
    margin-top: 3rem;
    color: darkred;
    margin-bottom: 1rem;
}
.item-frame.item-frame-full .fancy-button {
    max-width: 30rem;
    color: black;
    background-color: white;
}
.fancy-button:hover { color: black; background-color: white; }
.item-frame.item-frame-full .fancy-button:hover { color: white; background-color: black; }
.item-frame h2 + p { text-align: justify; margin-bottom: 4rem; }

.flex-row { display: flex; width: 100%;}
.article-disposition {
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: stretch;
}
.full-article-disposition { justify-content: center; align-items: stretch; }
.video-disposition { justify-content: center; align-items: center; }
